//
//  IntroduceController.swift
//  BFRecordScreenKit_Example
//
//  Created by 胡志强 on 2021/11/25.
//  Copyright © 2021 CocoaPods. All rights reserved.
//

import Foundation
import BFUIKit
import BFRecordScreenKit
import Photos

class IntroduceController : BFBaseViewController {
    
    var asset:PHAsset?

    override func viewDidLoad() {
        super.viewDidLoad()
        
        let vc = BFRecordScreenController()
        vc.asset = asset
        vc.nextActionHandle = {
            DispatchQueue.main.async { [weak self] in
                let controller = VideoExportController()
                controller.export.voiceList = vc.recordList
                controller.export.asset = vc.avasset
                self?.navigationController?.pushViewController(controller, animated: true)
            }
        }
        vc.closeActionHandle = {
            self.backBtnClick()
        }
        vc.view.frame = self.view.frame
        addChildViewController(vc)
        view.addSubview(vc.view)
    }
}
